Subject: (Fwd) Re: g++ under cygwin problem
From: "Paul Garceau" <[email-masked]>
To: [email-masked]
Date: Tue, 5 Dec 2000 15:55:24 -0800

not sure if this made it to the list:

------- Forwarded message follows -------
From:           	Paul Garceau <[email-masked]>
To:             	<[email-masked]>
Subject:        	Re: g++ under cygwin problem
Send reply to:  	Paul Garceau <[email-masked]>
Date sent:      	Tue, 5 Dec 2000 15:51:52 -0800

Hi folks,

On 5 Dec 2000, at 10:12, the Illustrious Josh Schwartz wrote:

> 
> 
> Hi
> 
> I'm using g++ under cygwin. I've tried to compile the following
> simple program:
> 
> #include <iostream.h>
> int main() {
> cout << "hello, world!";
> ; return 0; }
> 
> 
> However I get the following error:
> /temp/test> g++ -o test test.C
> In file included from
> /usr/lib/gcc-lib/i686-pc-cygwin/2.95.2/../../../../include/g++-
> 3/ streambuf.h :36, from...

 I thought that the lib references necessary did not include
anything that had "i686-pc-cygwin" as part of the path...

 After checking my distribution installation (based on latest
setup.exe install), there is no such thing as
 usr/lib/gcc-lib/i686-pc-cygwin/2.95.2.

 However there is something called <cygwinroot>/lib  which does
include all of the C++ libs (ie. <cygwinroot>/lib vs.
<cygwinroot>/usr/lib)

 Could it be that your lib include path isn't being set 
properly?

 Peace,

  Paul G.
------- End of forwarded message -------

Nothing real can be threatened.
    Nothing unreal exists.

--
Want to unsubscribe from this list?
Send a message to [email-masked]